#!/usr/bin/env bash

#
# Copyright 2020-present Open Networking Foundation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# exit on errors
set -eu -o pipefail

DOCKERHUB_USERNAME=${DOCKERHUB_USERNAME:-}
DOCKERHUB_PASSWORD=${DOCKERHUB_PASSWORD:-}

if [[ -n "$DOCKERHUB_USERNAME" &&  -n "$DOCKERHUB_PASSWORD" ]]
then
      echo "Docker login: docker.io"
      docker login --username "${DOCKERHUB_USERNAME}" --password "${DOCKERHUB_PASSWORD}"
fi

AETHER_REGISTRY_USERNAME=${AETHER_REGISTRY_USERNAME:-}
AETHER_REGISTRY_PASSWORD=${AETHER_REGISTRY_PASSWORD:-}

if [[ -n "$AETHER_REGISTRY_USERNAME" &&  -n "$AETHER_REGISTRY_PASSWORD" ]]
then
      echo "Docker login: registry.aetherproject.org"
      docker login registry.aetherproject.org --username "${AETHER_REGISTRY_USERNAME}" --password "${AETHER_REGISTRY_PASSWORD}"
fi

ONF_REGISTRY_USERNAME=${ONF_REGISTRY_USERNAME:-}
ONF_REGISTRY_PASSWORD=${ONF_REGISTRY_PASSWORD:-}

if [[ -n "$ONF_REGISTRY_USERNAME" &&  -n "$ONF_REGISTRY_PASSWORD" ]]
then
      echo "Docker login: registry.opennetworking.org"
      docker login registry.opennetworking.org --username "${ONF_REGISTRY_USERNAME}" --password "${ONF_REGISTRY_PASSWORD}"
fi
